Bug 1459573 - File share with replica count set to 3
File share with replica count set to 3
Status: MODIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 3-alpha
Assigned To: Neha Gupta
sds-qe-bugs
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 09:38 EDT by Lubos Trilety
Modified: 2017-06-29 04:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
brick details step (337.82 KB, image/png)
2017-06-07 09:38 EDT, Lubos Trilety
no flags Details

  None (edit)
Description Lubos Trilety 2017-06-07 09:38:12 EDT
Created attachment 1285800 [details]
brick details step

Description of problem:
If replica count is set to 3, bricks layout is never displayed.
There's a
TypeError: Cannot read property 'length' of undefined
in console.

Version-Release number of selected component (if applicable):
tendrl-node-agent-3.0-alpha.7.el7scon.noarch
tendrl-commons-3.0-alpha.7.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.4.el7scon.noarch
tendrl-api-3.0-alpha.3.el7scon.noarch
tendrl-api-httpd-3.0-alpha.3.el7scon.noarch
tendrl-dashboard-3.0-alpha.3.el7scon.noarch
tendrl-alerting-3.0-alpha.2.el7scon.noarch
tendrl-api-doc-3.0-alpha.3.el7scon.noarch

How reproducible:
100%

Steps to Reproduce:
1. Start to create file share, change replica count to 3
2. Choose some hosts and click on next button
3.

Actual results:
The next step is never displayed. There's a TypeError in console - see attached screenshot

Expected results:
Brick layout is displayed correctly.

Additional info:
Comment 2 Neha Gupta 2017-06-14 07:36:37 EDT
Updated create File share flow(as per the new UX) is in progress. This bug will be fixed along with it.

Note You need to log in before you can comment on or make changes to this bug.